:root {
    --sleep-orange:        #fba535;
    --sleep-orange-darker: #ff5219;
}

input[type="number"] {
    -moz-appearance: textfield;
}

.text-all-caps {
    font-variant: all-small-caps;
}

.sleep-table td {
    vertical-align: middle;
}

.sleep-table img {
    vertical-align: bottom;
}

.sleep-table tr.has-ingredients td {
    background: var(--bs-success-bg-subtle);
}

.sleep-table tr.missing-ingredients td {
    background: var(--bs-danger-bg-subtle);
}

.max-up-arrow-container,
.max-up-text-container {
    font-variant: all-small-caps;
    opacity:      0;
}

.max-up-active .max-up-arrow-container,
.max-up-active .max-up-text-container {
    opacity: 1;
}

.max-up-arrow-container {
    position: absolute;
    left:     -14px;
    top:      -10px;
}

.max-up-arrow-container i {
    position:    absolute;
    left:        0;
    top:         -6px;
    text-shadow: -1px 0 #fff, 0 1px #fff,
                 1px 0 #fff, 0 -1px #fff;
}

.max-up-active .max-up-arrow-container i {
    color: var(--sleep-orange-darker);
}

.max-up-arrow-container i + i {
    top: 0;
}

.max-up-arrow-container i + i + i {
    top: 3px;
}

.max-up-text-container {
    position: absolute;
    left:     -12px;
    bottom:   -18px;
}

.max-up-text-container span {
    color:       white;
    /** 2px */
    text-shadow: 2px 0 var(--sleep-orange-darker), -2px 0 var(--sleep-orange-darker),
                 0 2px var(--sleep-orange-darker), 0 -2px var(--sleep-orange-darker),
                 1px 1px var(--sleep-orange-darker), -1px -1px var(--sleep-orange-darker),
                 1px -1px var(--sleep-orange-darker), -1px 1px var(--sleep-orange-darker);
    /** 1px */
    /*text-shadow: -1px 0 var(--sleep-orange-darker), 0 1px var(--sleep-orange-darker),*/
    /*             1px 0 var(--sleep-orange-darker), 0 -1px var(--sleep-orange-darker);*/
}

.form-check-input:checked {
    background-color: grey !important;
    border-color:     grey !important;
}

.form-check-input:focus {
    border-color: lightgrey;
    box-shadow:   0 0 0 .25rem rgba(178, 178, 178, 0.55);
}
